#!/bin/bash
#
# Turn off the run light to show we are here and running!
echo "0" > /sys/class/gpio/gpio17/value
#
# Check for both mplayer and alsa strings to avoid detecting the ps script itself.
if ps -ef | grep 'mplayer' | grep 'alsa' ; then
	# Light the run back on.
	echo "1" > /sys/class/gpio/gpio17/value
        exit 0
#
else
  # Mplayer is not running. We need to run it!
  #
  # Run light off, fail light on.
  echo "0" > /sys/class/gpio/gpio17/value
  echo "1" > /sys/class/gpio/gpio18/value
  #
  # Set backup flag to "OK" as we are attempting to connect to live stream and we need this set if we succeed.
  sqlout=`mysql -uroot -pchooseapassword stl --skip-column-names -e "UPDATE live SET backupstatus='OK'"`
  #
  # Get Playback source address/location from the database!
  source=`mysql -uroot -pchooseapassword stl --skip-column-names -e "select url from live"`
  volume=`mysql -uroot -pchooseapassword stl --skip-column-names -e "select volume from live"`
  #
  # Log mplayer restart
  timesmp=$(date "+%Y-%m-%d %H:%M:%S")
  sqlout=`mysql -uroot -pchooseapassword stl --skip-column-names -e "INSERT INTO logs (timestamp, event) VALUES ('$timesmp','CRONCHECK-RESTARTING-MPLAYER $source')"`
  #
  amixer -c 0 sset PCM,0 $volume% </dev/null >/dev/null 2>&1 &
  # mplayer -ao alsa:device=hw=0.0 $source </dev/null >/dev/null 2>&1 &
	mplayer -ao alsa:device=hw=0.0 $source -quiet </dev/null >/tmp/mplayer.log 2>&1 &
  # Light the run light, though we don't know if this actually worked. The fail light will be cleared by the other scripts shortly.
  echo "1" > /sys/class/gpio/gpio17/value
	exit 0
fi
