#!/bin/bash
#
#
# Get Playback source address/location from the database!
source=`mysql -uroot -pchooseapassword stl --skip-column-names -e "select url from live"`
volume=`mysql -uroot -pchooseapassword stl --skip-column-names -e "select volume from live"`
#
#
# Before setting the volume to the required level and playing,
# we need to fade out the current source from that level to 0.
# Since the volume setting we use is the current (new) source, we might cause a slight jump up or down before
# we fade, but in practive that should make little difference and is still much cleaner than just switching.
# $volume% is the current (new) source playback volume.
#
# Fade from $volume% to 0 over 2 seconds (adjust to match stream buffer time for top of hour swiches).
# 3 seconds = 3000 ms / 100 vol units = 30ms wait per step
#
volcount=$volume
until [ $volcount -lt 1 ]; do
  amixer -c 0 sset PCM,0 $volcount% </dev/null >/dev/null 2>&1 &
  sleep 0.03
  volcount=`expr $volcount - 1`
done
#
# Kill existing mplayer
killall -9 mplayer
#
amixer -c 0 sset PCM,0 $volume% </dev/null >/dev/null 2>&1 &
# mplayer -ao alsa:device=hw=0.0 $source -cache 320 -cache-min 40 </dev/null >/dev/null 2>&1 &
mplayer -ao alsa:device=hw=0.0 $source -cache 320 -cache-min 40 -quiet </dev/null >/tmp/mplayer.log 2>&1 &
#
## Fade up, but remember there is a delay before playback starts so not too quick
#volcount=0
#until [ $volcount -gt $volume ]; do
#  amixer -c 0 sset PCM,0 $volcount% </dev/null >/dev/null 2>&1 &
#  sleep 0.1
#  volcount=`expr $volcount + 1`
#done
#
# Set final volume
#amixer -c 0 sset PCM,0 $volume% </dev/null >/dev/null 2>&1 &
#sleep .1

